List theme profiles
GET/v2/competitions/{competitionId}/theme-profiles
GET
/v2/competitions/{competitionId}/theme-profiles
const url = 'https://api.ligr.live/rest/v2/competitions/1/theme-profiles';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ligr.live/rest/v2/competitions/1/theme-profiles \ --header 'Authorization: Bearer <token>'Lists active profiles that use themes your organization owns. The competition must belong to your organization. Archived profiles are excluded.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”competitionId
required
Entity identifier
integer format: int32
Responses
Section titled “Responses”Ok
Media typeapplication/json
Array<object>
object
id
required
Entity identifier
integer format: int32
competitionId
required
Entity identifier
integer format: int32
themeId
required
Entity identifier
integer format: int32
name
required
string
defaultControlRoomId
required
integer format: int32
isDefault
required
boolean
Examplegenerated
[ { "id": 1, "competitionId": 1, "themeId": 1, "name": "example", "defaultControlRoomId": 1, "isDefault": true, "themeVariableValues": [ { "variableId": "example", "value": "example" } ] }]Request is invalid
Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{ "message": "example", "details": { "additionalProperty": "example" }}Missing or invalid api key
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Api key provides insufficient access for the request
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Competition, theme, control room, or profile not found
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Api key has made too many requests
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}An unexpected error has occured. If problems persist please contact support
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}